<!DOCTYPE html>
<html lang="ru">

<head>
    <meta name="viewport" content="width=device-width,initial-scale=1" />
    <link rel="icon" href="./favicon.ico.webp" sizes="any" />
    <title>
        МойМаркет
    </title>
    <style>
        body {
            margin: 0;

            padding: 10px;
        }

        .container-external {
            margin: 0 15px;

            border: 1px solid black;
            padding: 10px;
            box-sizing: border-box;
        }

        .container-internal-wrapper {
            width: 1420px;
            border: 1px solid black;
            box-sizing: border-box;
            padding: 10px;

        }

        .container-internal {
            width: 1400px;
            margin: auto;
            display: flex;
            justify-content: space-between;
            gap: 100px;
        }

        .content,
        .sidebar {
            margin-left: auto;
            margin-right: auto;
            border: 1px solid black;
            padding: 10px;
        }

        .content {
            width: 880px;
        }

        .sidebar {
            width: 420px;
        }

        @media (max-width: 1500px) {
            .container-internal-wrapper {
                width: 100%;
            }

            .container-internal {
                width: 100%;
                gap: 7%;
            }

            .content {
                width: 63%;
            }

            .sidebar {
                width: 30%;
            }
        }

        @media (max-width: 1024px) {
            .container-internal-wrapper {
                width: 1014px;
            }

            .container-internal {
                width: 994px;
                gap: 40px;
            }

            .content {
                width: 594px;
            }

            .sidebar {
                width: 360px;
            }
        }
    </style>
</head>

<body>
    Тег <b>body</b>
    <pre>
body {
    margin: 0;
}
    </pre>

    <div class="container-external">
        Внешний контейнер
        <pre>
.container-external {
    margin: 0 15px;
}            
        </pre>
        <div class="container-internal-wrapper">
            Внутренний контейнер
            <pre>
.container-internal {
    width: 1400px;
    margin: auto;
    display: flex;
    justify-content: space-between;
    gap: 100px;
}            

@media (max-width: 1500px) {
    .container-internal {
        width: 100%;
        gap: 7%;
    }
}

@media (max-width: 1024px) {
    .container-internal {
        width: 994px;
        gap: 40px;
    }
}
        </pre>
            <main class="container-internal">
                <div class="content">
                    Контент
                    <pre>
.content {
    width: 880px;
}

@media (max-width: 1500px) {
    .content {
        width: 63%;
    }
}

@media (max-width: 1024px) {
    .content {
        width: 594px;
    }
}
                </pre>
                </div>
                <div class="sidebar">
                    Сайдбар
                    <pre>
.sidebar {
    width: 420px;
}

@media (max-width: 1500px) {
    .sidebar {
        width: 30%;
    }
}

@media (max-width: 1024px) {
    .sidebar {
        width: 360px;
    }
}
                </pre>
                </div>
            </main>
        </div>
    </div>
    <footer class="footer">

    </footer>
</body>

</html>